﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class MaSecurity
    {
        public MaSecurity()
        {
            this.Tb_Permission = new HashSet<Tb_Permission>();
        }

        public int Id { get; set; }

        [Display(Name = "Right Name")]
        [Required(ErrorMessage = "*")]
        public string RightName { get; set; }
        public Nullable<System.DateTime> Cdate { get; set; }

        public virtual ICollection<Tb_Permission> Tb_Permission { get; set; }
    }
}
